geo

geos

GEOS (Geometry Engine) bindings for Node.js

Showing:

Popularity

Downloads/wk

4

GitHub Stars

52

Maintenance

Last Commit

5yrs ago

Contributors

8

Package

Dependencies

2

License

Type Definitions

Tree-Shakeable

No?

Categories

Readme

node-geos

GEOS (Geometry Engine) bindings for Node.js.

Prerequisites

Required Node version is 0.12.0 or higher. Make sure you have GEOS version 3.2.2 or higher installed together with the headers and libraries.

Installation

To obtain and build the bindings:

git clone git://github.com/kashif/node-geos.git
cd node-geos
node-gyp configure build
# npm install

or install it via npm:

npm install geos

or

npm install git://github.com/kashif/node-geos.git

Testing

npm test

To test the c++ binding we use Vows. Just run vows on the tests in the test/ directory or use the above command. Make sure you have CoffeeScript installed as they are written in CoffeeScript.

As continuous integration system we use travis.

Build status: Build Status

Examples

For some examples please take a look at the examples/ directory.

Bugs

Report bugs to http://github.com/kashif/node-geos/issues.

Rate & Review

Great Documentation0
Easy to Use0
Performant0
Highly Customizable0
Bleeding Edge0
Responsive Maintainers0
Poor Documentation0
Hard to Use0
Slow0
Buggy0
Abandoned0
Unwelcoming Community0
100